#!/bin/sh

OSRELEASE=`cat /proc/sys/kernel/osrelease`
DIR=`pwd`

if [ ! -d /root/lib/modules/$OSRELEASE ]; then
 mount -o remount,rw /root
 if [ -e /root/lib/modules/initrd-modules ]; then
  rm -rf /root/lib/modules/initrd-modules
 fi
 cp -ar /lib/modules/$OSRELEASE /root/lib/modules/initrd-modules
 cd /root/lib/modules/
 ln -s ./initrd-modules ./$OSRELEASE
 cd $DIR
 mount -o remount,ro /root
fi
